import numpy as np
import matplotlib.pylab as plt

node0_c = np.load('node0-c-estimates.npz')
node0_c_Sigma = np.array(node0_c['Sigma_log'])
node0_nocoop = np.load('node0-nocoop-estimates.npz')
node0_nocoop_Sigma = np.array(node0_nocoop['Sigma_log'])

end = 51
#%%
plt0 = (-10., 20.)
plt1 = (-.5, 1.5)
plt2 = (-1.5, .5)
plt3 = (-.2, .2)
plt.figure(1)
plt.clf()
for i in range(4):
    plt.subplot(4,1,i+1)
    plt.plot(node0_c['mean_log'][:end,i], 'k')
    plt.hold(True)
    std = np.sqrt(node0_c_Sigma[:end,i,i])
    plt.plot(node0_c['mean_log'][:end,i] + 3.*std, 'k--')
    plt.plot(node0_c['mean_log'][:end,i] - 3.*std, 'k--')
    plt.ylabel(r'$\theta_{' + str(i+1) + '}$', fontsize=16, rotation=0)
#    plt.xticks(np.arange(1, 51, 10))
    if i == 0:
        plt.ylim(plt0)
    if i == 1:
        plt.ylim(plt1)
    if i == 2:
        plt.ylim(plt2)
    if i == 3:
        plt.ylim(plt3)
        plt.yticks(np.arange(-.2, .21, 0.1))
plt.xlabel(r'$t$', fontsize=16)
plt.savefig('figs/node0-ests-c.pdf', bbox_inches='tight')
    

#%%
plt.figure(2)
plt.clf()
for i in range(4):
    plt.subplot(4,1,i+1)
    plt.plot(node0_nocoop['mean_log'][:end,i], 'k')
    plt.hold(True)
    std = np.sqrt(node0_c_Sigma[:end,i,i])
    plt.plot(node0_nocoop['mean_log'][:end,i] + 3.*std, 'k--')
    plt.plot(node0_nocoop['mean_log'][:end,i] - 3.*std, 'k--')
    if i == 0:
        plt.ylim(plt0)
    if i == 1:
        plt.ylim(plt1)
    if i == 2:
        plt.ylim(plt2)
    if i == 3:
        plt.ylim(plt3)